Subject: [06/10,V2] spi: Add SPI driver for mx233/mx28

From: [email-masked] (Guenter Roeck)
Date: Tue, 31 Jul 2012 22:29:47 -0700

On Wed, Aug 01, 2012 at 07:00:54AM +0200, Marek Vasut wrote:
> Dear Shawn Guo,
> 
> > On Tue, Jul 31, 2012 at 08:35:59PM -0700, Guenter Roeck wrote:
> > > I think the call to spi_master_put() triggers the call to
> > > spi_master_release(). If so, kfree() would not be needed at all, and the
> > > documentation is wrong.
> > 
> > Also those drivers calling kfree in probe.
> 
> Looks like that to me ...
> 
Doesn't seem to be far spread, fortunately. Only spi-davinci.c, spi-imx.c, and
spi-omap2-mcspi.c as far as I can see, plus the misleading comment in spi.c.

Anyone up for writing some patches ? If not, I'll do it.

Thanks,
Guenter